org.bdgenomics.adam.rich

# RichAlignmentRecord

#### case class RichAlignmentRecord(record: AlignmentRecord) extends Product with Serializable

An enriched version of an Avro AlignmentRecord.

record

  The underlying read.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RichAlignmentRecord
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichAlignmentRecord(record: AlignmentRecord)

   record

     The underlying read.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def fivePrimePosition: Long

    returns

      The position of the five prime end of the read.

11. #### def fivePrimeReferencePosition: ReferencePosition

    returns

      The position of the five prime end of the read, wrapped as a reference position.

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isMismatchAtReadOffset(offset: Int): Option[Boolean]

    offset

      The index into the read sequence.

    returns

      If the read is not aligned, returns a None. Else, returns a wrapped boolean stating whether this read is a sequence mismatch against the reference at the given offset within the read?

15. #### def isMismatchAtReferencePosition(pos: ReferencePosition): Option[Boolean]

    pos

      The reference position to check for a mismatch.

    returns

      Returns true if this read overlaps the given reference position, and the base aligned at this position is a mismatch against the reference genome..

16. #### lazy val mdTag: Option[MdTag]

    The MdTag if the read is mapped, None otherwise

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def overlapsReferencePosition(pos: ReferencePosition): Boolean

    pos

      The reference position to check for overlap.

    returns

      Returns true if this read overlaps the given reference position.

21. #### lazy val qualityScores: Array[Int]

    The quality scores as a list of integers.

    The quality scores as a list of integers. Assumes Illumina (33) encoding.

22. #### val record: AlignmentRecord

    The underlying read.

23. #### lazy val samtoolsCigar: Cigar

    Parses the text CIGAR representation of the alignment.

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### lazy val tags: Seq[Attribute]

    On access, parses the attribute tags ("key:type:value" triples) into usable records.

26. #### lazy val unclippedEnd: Long

    The position of the unclipped end if the read is mapped, None otherwise.

    The position of the unclipped end if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

27. #### lazy val unclippedStart: Long

    The position of the unclipped start if the read is mapped, None otherwise.

    The position of the unclipped start if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped